<script type="text/javascript">
	RED.nodes.registerType('eventstore-config', {
		category: 'config',
		defaults: {
			name: { value: "" },
			connectionString: { value: "esdb://localhost:2113?tls=false" },
		},
		credentials: {
			user: { value: '' }
		},
		icon: 'logo.svg',
		label: function() { return this.name || this.connectionString },
	});
</script>

<script type="text/html" data-template-name="eventstore-config">
	<div class="form-row">
		<label for="node-config-input-name"><b>Name</b></label>
		<input type="text" id="node-config-input-name">
	</div>
	<div class="form-row">
		<label for="node-config-input-connectionString"><b>Connection String</b></label>
		<input type="text" id="node-config-input-connectionString">
	</div>
	<div class="form-row">
		<label for="node-config-input-user"><b>User</b></label>
		<input type="text" id="node-config-input-user">
	</div>
</script>

<script type="text/html" data-help-name="eventstore-config">
	<p>Configure access to an EventStore DB</p>
	<p>
		Node-RED wrapper around the <a 
		href="https://github.com/EventStore/EventStore-Client-NodeJS"
		>EventStoreDB NodeJS Client</a>.
	</p>
</script>
